package edu.ucf.rp2;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;
import java.util.Scanner;

public class Main {
	
	
	public static void main (String args[]) throws IOException {
		String[] searchTerms = getInputFile("input.txt");
		
		GoogleTester gtest = new GoogleTester();
		gtest.start(searchTerms);
		
		BingTester btest = new BingTester();
		btest.start(searchTerms);
		
		YahooTester ytest = new YahooTester();
		ytest.start(searchTerms);
	}
	
	
	public static String[] getInputFile (String fileName) throws FileNotFoundException {
		List<String> inputList = new ArrayList<String>();
		
		Scanner scanner = new Scanner(new File(fileName));
		while (scanner.hasNextLine())
		{
			inputList.add(scanner.nextLine());
		}
		scanner.close();
		
		String[] inputArray = new String[inputList.size()];
		inputList.toArray(inputArray);
		
		return inputArray;
	}
	
	
}
